<cfsetting enablecfoutputonly="true">
<cfcontent type="text/plain;charset=utf-8">
<cfparam name="id" default="1">

<!--- This is a base server folder for subfolders, between which the user can choose --->
<cfset strBasePath="#ExpandPath("../Basic/")#">
<!--- This is a default subfolder from which files will be downloaded --->
<cfset strFolderPath="Folder1/">

<!--- Construct and encode a URL of the supplied file for reliable HTTP transmission to the client --->
<cffunction name="EncodeFileName" returnType="string" output="false">
	<cfargument name="name" type="string" required="yes">
	<cfreturn Replace(Replace(URLEncodedFormat(strFolderPath & name), "%2E", "."), "%2F", "/")>
</cffunction>

<!--- Change the subfolder, if needed --->
<cfswitch expression="#id#">
	<cfcase value="2"><cfset strFolderPath="Folder2/"></cfcase>
	<cfcase value="3"><cfset strFolderPath="Folder3/"></cfcase>
</cfswitch>

<cfset tmp="#strBasePath##strFolderPath#">
<!--- Check if the selected subfolder exists --->
<cfif DirectoryExists(tmp)><cfdirectory directory="#tmp#" name="filelist">
	<!--- Iterate through all files in the subfolder and build a file list --->
	<cfloop query="filelist">
	<cfoutput>*/* | #size# | #name# | #EncodeFileName(name)##chr(13)##chr(10)#</cfoutput>
	</cfloop>
</cfif>