<?php
//This is a base server folder for subfolders, between which the user can choose
$strBasePath = 'Files';

function encode_full_url($url) {
    $url = rawurlencode($url);
    $url = str_replace('%2F', '/', $url);
    $url = str_replace('%3A', ':', $url);
    return $url;
} 

header("Content-Type: text/plain;charset=utf-8");
$strFolderPath = "Folder1";
if (isset($_GET['id'])) {
  switch ($_GET['id']) {
    case '1':
      $strFolderPath = "Folder1";
    break;
    
    case '2':
      $strFolderPath = "Folder2";
    break;
    
    case '3':
      $strFolderPath = "Folder3";
    break;
  }
}

$virtualPath = "$strBasePath/$strFolderPath";
$absFolderPath = realpath($virtualPath);
$virtualPath = encode_full_url($virtualPath);
//Check if the selected subfolder exists
if (is_dir($absFolderPath)){
  //Iterate through all files in the subfolder and build a file list
  $objDir = scandir($absFolderPath);
  foreach ($objDir as $objFile){
    if ($objFile != "." && $objFile != ".."){
      //Add the MIME type, the size, and the name for saving
      echo '*/* | ' . filesize("$absFolderPath/$objFile") . ' | ' . $objFile . ' | ';
      //Add the URL to the file and the CRLF combination
      echo $virtualPath . '/' . rawurlencode($objFile) . "\r\n";
    }
  }
}
